<%@ PAGE LANGUAGE="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Drawing" %>
<html>
<head>
<script runat="server">
void Page_Load(object sender, EventArgs e) {
	datagrid1.DataSource = CreateDataSource();
	datagrid1.DataBind();
}

ICollection CreateDataSource() {
	DirectoryInfo di = new DirectoryInfo(Server.MapPath("."));
	FileInfo[] fi = di.GetFiles();

	DataTable dt = new DataTable();
	DataRow dr;

	dt.Columns.Add(new DataColumn("fileid", typeof(int)));
	dt.Columns.Add(new DataColumn("filename", typeof(String)));
	dt.Columns.Add(new DataColumn("filesize", typeof(long)));
	dt.Columns.Add(new DataColumn("date", typeof(DateTime)));

	for (int i = 0; i < fi.Length; i++) {
		dr = dt.NewRow();
		dr[0] = i;
		dr[1] = fi[i].Name;
		dr[2] = fi[i].Length;
		dr[3] = fi[i].LastWriteTime;
		dt.Rows.Add(dr);
	}

	DataView dv = new DataView(dt);

	return dv;
}

void datagrid1_Select(object sender, DataGridCommandEventArgs e) {
	DataGridColumn column = datagrid1.Columns[
		Int32.Parse((string)e.CommandArgument)];
	column.ItemStyle.ForeColor = Color.FromName("white");
	column.ItemStyle.BackColor = Color.FromName("red");
	
/*
	foreach (DataGridItem item in datagrid1.Items) {
		if (item.ItemType == ListItemType.Item ||
			item.ItemType == ListItemType.AlternatingItem) {
			TableCell cell = (TableCell) item.Controls[column];
			cell.ForeColor = Color.FromName("white");
			cell.BackColor = Color.FromName("red");
		}
	}
*/
}
</script>
</head>
<body bgcolor="#333366">

<form runat="server">
	<div align="center">
	<asp:DataGrid id="datagrid1"
		AutoGenerateColumns="false"
		EnableViewState="false"

		GridLines="None"
		Width="100%"
		CellSpacing="1"
		BorderWidth="5"
		BorderColor="#000080"

		OnItemCommand="datagrid1_Select"

		runat="server">

		<HeaderStyle BackColor="cyan" ForeColor="white" />
		<ItemStyle ForeColor="black" BackColor="#ffffcc" />
		<AlternatingItemStyle ForeColor="black" BackColor="#ffff66" />
		<SelectedItemStyle ForeColor="white" BackColor="#000080" />

		<Columns>
		<asp:TemplateColumn>
			<HeaderTemplate>
				<asp:LinkButton Text="t@C" CommandName="select" CommandArgument="0" runat="server" />
			</HeaderTemplate>
			<ItemTemplate>
				<%# Server.HtmlEncode((string)DataBinder.Eval(Container.DataItem, "filename")) %>
			</ItemTemplate>
		</asp:TemplateColumn>

		<asp:TemplateColumn ItemStyle-HorizontalAlign="right" ItemStyle-Width="10%">
			<HeaderTemplate>
				<asp:LinkButton Text="TCY" CommandName="select" CommandArgument="1" runat="server" />
			</HeaderTemplate>
			<ItemTemplate>
				<%# (long)DataBinder.Eval(Container.DataItem, "filesize") %>
			</ItemTemplate>
		</asp:TemplateColumn>

		<asp:TemplateColumn ItemStyle-Width="20%">
			<HeaderTemplate>
				<asp:LinkButton Text="XV" CommandName="select" CommandArgument="2" runat="server" />
			</HeaderTemplate>
			<ItemTemplate>
				<%# DataBinder.Eval(Container.DataItem, "date", "{0:d}") %>
			</ItemTemplate>
		</asp:TemplateColumn>

		</Columns>
	</asp:DataGrid>
	<asp:Label id="Message" runat="server" />
	</div>
</form>
</body>
</html>
